<%

// First check to see if we are updating an approver status
if (request.getParameter( "reload" ) == null && request.getParameter( "ApproversAction" ) != null && request.getParameter( "RQID" ) != null) {

  // Process the Approvers Action
  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;
  esr.setAction("updateApproverStatus");
  esr.addToken( "Request_ID", request.getParameter( "RQID" ) );
  esr.addToken( "Approval_Status2", request.getParameter( "ApproversAction" ) );
  %>
  <%@ include file="sendRequest.jsp"%>
  <%

  if ( resps.getResponse() instanceof String && !resps.getResponse().equals("No response returned.") )
  {
    out.print( "<div class=\"msg-error\">" + (String)resps.getResponse() + "</div>" );
  } else {
    // sleep, while the management system updates the ticket
    Thread.sleep(SLEEP_TIME_IN_MILLISECONDS);

    %>
    <jsp:forward page="<%=response.encodeURL("loadIncident.jsp?tab=Approvers&reload=true&IncidentNumber=" + incident.get( "Infrastructure_Change_ID" ))%>"/>
    <%
  }
}


ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
ExternalServiceResponse resps;
esr.setAction("queryGenericList");
esr.addToken( "service","Approvers" );
esr.addToken( "Qualification", "'Infrastructure Change ID'=\""+incident.get("Infrastructure_Change_ID")+"\"" );
%>
<%@ include file="sendRequest.jsp"%>
<%
if ( resps.getResponse() instanceof String )
{
  if (((String)resps.getResponse()).equals("JavaException: java.lang.Exception: WS Fault: soapenv:Server.userException || ERROR (302): Entry does not exist in database; ")) {
    out.print( "<div class=\"msg-success\">No Approvers</div>" );
  } else {
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage="+(String)resps.getResponse())%>"/>
    <%
  }
}
else
{
  List<GenericWSObject> approvers = (List<GenericWSObject>)resps.getResponse();
  if ( approvers.size() > 0 )
  {
  %>
    <table>
    <%
    for ( GenericWSObject approverLine : approvers )
    {
      %>
      <tr>
        <th colspan="2">Approver</th>
      </tr>
      <tr>
        <th>Status</th>
        <td><%=approverLine.get( "Approval_Status2" )%></td>
      </tr>
      <tr>
        <th>Approvers</th>
        <td><%=approverLine.get( "APApprovers" )%></td>
      </tr>
      <tr>
        <th>App Signature</th>
        <td><%=approverLine.get( "Approver_Signature" )%></td>
      </tr>
      <tr>
        <th>Alt Signature</th>
        <td><%=approverLine.get( "Alternate_Signature" )%></td>
      </tr>
      <%
      if (approverLine.get( "Approval_Status2" ).equals("Pending") || approverLine.get( "Approval_Status2" ).equals("Hold")) {

        %>
        <tr>
          <th>Action</th>
          <td><a href=<%=response.encodeURL("updateIncident.jsp?tab=Approvers&ApproversAction=Approved&RQID=" + approverLine.get( "Request_ID" ))%>>Approve</a>-<a href=<%=response.encodeURL("updateIncident.jsp?tab=Approvers&ApproversAction=Rejected&RQID=" + approverLine.get( "Request_ID" ))%>>Reject</a><%
          if (!approverLine.get( "Approval_Status2" ).equals("Hold")) {%>
            -<a href=<%=response.encodeURL("updateIncident.jsp?tab=Approvers&ApproversAction=Hold&RQID=" + approverLine.get( "Request_ID" ))%>>Hold</a>
          <%
          }
        %></td>
        </tr>


        <%
      }
    }
    %>
   </table>
   <%
  }
  else
  {
      out.print( "<div class=\"msg-success\">No Tasks</div>" );
  }
}
%>