<%
if ( "ReadOnly".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
    out.print( value );
}

else if ( "Notice".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <tr>
    <td/>
    <td>
      <div name="notice"><i><%=label%></i></div>
    </td>
  </tr>
  <%
}

else if ( "Text".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=incident.get( name, true )%>"/>
  <%
}

else if ( "TextArea".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <textarea style="font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;font-size: .8em;"
    name="<%=name%>"><%=incident.get( name, true )%></textarea>
  <%
}

else if ( "DateInTable".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <tr>
    <td class="align-right"><label<%=labelAttr%>><%=label%>:</label></td>
    <td>
      <input type="text" name="<%=name%>" value="<%=incident.get( name, true )%>"/>
    </td>
  </tr>
  <tr>
    <td colspan="2" class="align-right">
      YYYY-MM-DDThh:mm:ss+/-hh:mm
    </td>
  </tr>
  <tr>
    <td colspan="2" class="align-right">
      +/-hh:mm is offset from GMT
    </td>
  </tr>
  <%
}

else if ( "Date".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <tr>
    <td class="align-right"><label<%=labelAttr%>><%=label%>:</label></td>
    <td>
      <input type="text" name="<%=name%>" value="<%=incident.get( name, true )%>"/>
    </td>
  </tr>
  <tr>
    <td/>
    <td>
      YYYY-MM-DDThh:mm:ss+/-hh:mm
    </td>
  </tr>
  <tr>
    <td/>
    <td>
      +/-hh:mm is offset from GMT
    </td>
  </tr>
  <%
}

else if ( "Boolean".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  Boolean bValue = new Boolean( (String)incident.get( key, false ) );
  %>
  <input type="hidden" name="<%=name%>" value="false"/>
  <input type="checkbox" name="<%=name%>" <%if ( bValue ) out.println( "checked=\"true\"" );%>/>
  <%
}

else if ( "ReadOnlyBoolean".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  Boolean bValue = new Boolean( (String)incident.get( key, false )  );
  %>
  <input type="hidden" name="<%=name%>" value="<%=incident.get( key, false )%>"/>
  <input type="checkbox" disabled="disabled" name="<%=name%>" <%if ( bValue ) out.println( "checked=\"true\"" );%> />
  <%
}

else if ( "Disabled".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=incident.get( name, true )%>" readonly="readonly"/>
  <%
}

else if ( "Customer".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchCustomer-<%=name%>" value="..."/>
  <%
}

else if ( "Group".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchGroup-<%=name%>" value="..."/>
  <%
}

else if ( "ChangeManager".equalsIgnoreCase( fieldTypes.get( key ) ) ||
          "Owner".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchChangeManager-<%=name%>" value="..."/>
  <%
}

else if ( "ChangeAssignee".equalsIgnoreCase( fieldTypes.get( key ) ) ||
          "Owner".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchChangeAssignee-<%=name%>" value="..."/>
  <%
}

else if ( "Assignee".equalsIgnoreCase( fieldTypes.get( key ) ) ||
          "Owner".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchAssignee-<%=name%>" value="..."/>
  <%
}

else if ( "SearchChangeManagerGroup".equalsIgnoreCase( fieldTypes.get( key ) ) ||
          "Owner".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchChangeManagerGroup-<%=name%>" value="..."/>
  <%
}

else if ( "ProdCat".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchProdCat-<%=name%>" value="..."/>
  <%
}

else if ( "OpCat".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchOpCat-<%=name%>" value="..."/>
  <%
}

else if ( "Reason".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchReason-<%=name%>" value="..."/>
  <%
}

else if ( "Company".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchCompany-<%=name%>" value="..."/>
  <%
}

else if ( "Cause".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchResolutionCause-<%=name%>" value="..."/>
  <%
}

else if ( "ResolutionMethod".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchResolutionMethod-<%=name%>" value="..."/>
  <%
}

else if ( "ResolutionCat".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchResolutionCat-<%=name%>" value="..."/>
  <%
}

else if ( "searchGroupApprover".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchGroupApprover-<%=name%>" value="..."/>
  <%
}

else if ( "searchPersonApprover".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
  %>
  <input type="text" name="<%=name%>" value="<%=value%>" readonly="readonly"/>
  <input type="submit" name="searchPersonApprover-<%=name%>" value="..."/>
  <%
}

// Static Lists
else if ( fieldTypes.get( key ) != null && staticLists.containsKey( fieldTypes.get( key ) ) )
{
  %>
  <select name="<%=key%>">
  <%
  for ( String listVal : staticLists.get( fieldTypes.get( key ) ) )
  {
    %><option value="<%=listVal%>" <%if ( listVal.equals( value ) ) out.print( "selected=\"selected\"" );%>><%=listVal%></option><%
  }
  %>
  </select>
  <%
}

else if ( "Table".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
    %>
    <a name="<%=key%>"/>
    <tr>
      <td colspan="2">
        <table class="no-border">
          <tr><th colspan="2"><%=label%></th></tr>
    <%
}
else if ( "TableEnd".equalsIgnoreCase( fieldTypes.get( key ) ) )
{
    %>
        </table>
      </td>
    </tr>
     <%
}
%>