<%
ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
ExternalServiceResponse resps;
esr.setAction("queryGenericList");
esr.addToken( "service","Relationships" );
esr.addToken( "Qualification", "'Request ID02'=\""+incident.get("Infrastructure_Change_ID")+"\"" );
%>
<%@ include file="sendRequest.jsp"%>
<%
if ( resps.getResponse() instanceof String )
{
  if (((String)resps.getResponse()).equals("JavaException: java.lang.Exception: WS Fault: soapenv:Server.userException || ERROR (302): Entry does not exist in database; ")) {
    out.print( "<div class=\"msg-success\">No Relationships</div>" );
  } else {
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage="+(String)resps.getResponse())%>"/>
    <%
  }
}
else
{
  List<GenericWSObject> relationships = (List<GenericWSObject>)resps.getResponse();
  if ( relationships.size() > 0 )
  {
  %>
    <table>
    <%
    for ( GenericWSObject relation : relationships )
    {
    %>
    <tr>
      <th colspan="2">Relation</th>
    </tr>
    <tr>
      <th>Relation Type</th>
      <td><%=relation.get( "Association_Type01" )%></td>
    </tr>
    <tr>
      <th>Request Type</th>
      <td><%=relation.get( "Request_Type01" )%></td>
    </tr>
    <tr>
      <th>Summary</th>
      <td><%=relation.get( "Request_Description01" )%></td>
    </tr>
    <tr>
      <th>Status</th>
      <td><%=relation.get( "ConsolidatedStatus" )%></td>
    </tr>
    <tr>
      <th>Start Date</th>
      <td><%=relation.get( "Start_Date_01" )%></td>
    </tr>
    <tr>
      <th>End Date</th>
      <td><%=relation.get( "End_Date_01" )%></td>
    </tr>
    <tr>
      <th>Sequence</th>
      <td><%=relation.get( "Sequence" )%></td>
    </tr>
    <%
    }
    %>
   </table>
   <%
  }
  else
  {
      out.print( "<div class=\"msg-success\">No Relationships</div>" );
  }
}
%>