<%
// WS Fields must match wsdl for APSDI_HPD_IncidentInterface_WS > HelpDesk_Modify_Service_MG
// WS Fields hold mapping between WS field names and Display field names
LinkedHashMap<String, String> wsFields = incident.getWSFields();
wsFields.put( "Infrastructure_Change_ID", "Infrastructure_Change_ID" );

// Details
wsFields.put( "Summary", "Summary" );
wsFields.put( "Status", "Status" );
wsFields.put( "Priority", "Priority" );
wsFields.put( "Impact", "Impact" );
wsFields.put( "Urgency", "Urgency" );
wsFields.put( "Status_Reason", "Status_Reason" );
wsFields.put( "Notes", "Notes" );
wsFields.put( "Risk_Level", "Risk_Level" );
wsFields.put( "Change_Type", "Change_Type" );

// Requester
wsFields.put( "Company", "Requester:::Company" );
wsFields.put( "First_Name", "Requester:::First_Name" );
wsFields.put( "Phone_Number", "Requester:::Phone_Number" );
wsFields.put( "Last_Name", "Requester:::Last_Name" );
wsFields.put( "Location_Company", "Requester:::Location_Company" );


// Classification
wsFields.put( "Change_Timing", "Classification:::Change_Timing" );
wsFields.put( "Change_Reason", "Classification:::Change_Reason" );
wsFields.put( "Business_Justification", "Classification:::Business_Justification" );
wsFields.put( "PC_Tier_1", "Classification:::Product_Categorization:::Tier_1" );
wsFields.put( "PC_Tier_2", "Classification:::Product_Categorization:::Tier_2" );
wsFields.put( "PC_Tier_3", "Classification:::Product_Categorization:::Tier_3" );
wsFields.put( "Tier_1", "Classification:::Operational_Categorization:::Tier_1" );
wsFields.put( "Tier_2", "Classification:::Operational_Categorization:::Tier_2" );
wsFields.put( "Tier_3", "Classification:::Operational_Categorization:::Tier_3" );
wsFields.put( "Product_Name", "Classification:::Product_Categorization:::Product_Name" );
wsFields.put( "Model", "Classification:::Product_Categorization:::Model" );
wsFields.put( "Manufacturer", "Classification:::Product_Categorization:::Manufacturer" );
wsFields.put( "Environment", "Classification:::Environment" );

// Assignment
wsFields.put( "Company3", "Assignment:::Company3" );
wsFields.put( "Support_Organization", "Assignment:::Support_Organization" );
wsFields.put( "Support_Group_Name", "Assignment:::Support_Group_Name" );
wsFields.put( "Change_Manager", "Assignment:::Change_Manager" );
wsFields.put( "ASCPY", "Assignment:::ASCPY" );
wsFields.put( "ASORG", "Assignment:::ASORG" );
wsFields.put( "ASGRP", "Assignment:::ASGRP" );
wsFields.put( "ChgImpCpy", "Assignment:::ChgImpCpy" );
wsFields.put( "ChgImpOrg", "Assignment:::ChgImpOrg" );
wsFields.put( "ChgImpGrp", "Assignment:::ChgImpGrp" );
wsFields.put( "Change_Assignee", "Assignment:::Change_Assignee" );
wsFields.put( "Change_Implementer", "Assignment:::Change_Implementer" );

// Dates
wsFields.put( "Requested_Start_Date", "Dates:::Requested_Start_Date" );
wsFields.put( "Requested_End_Date", "Dates:::Requested_End_Date" );
wsFields.put( "Scheduled_Start_Date", "Dates:::Scheduled_Start_Date" );
wsFields.put( "Scheduled_End_Date", "Dates:::Scheduled_End_Date" );
wsFields.put( "Actual_Start_Date", "Dates:::Actual_Start_Date" );
wsFields.put( "Actual_End_Date", "Dates:::Actual_End_Date" );
wsFields.put( "In_Production", "Dates:::In_Production" );

// Assignment2
wsFields.put( "Support_Group_ID", "Assignment:::Support_Group_ID" );
wsFields.put( "CAB_Manager_Login", "Assignment:::CAB_Manager_Login" );
wsFields.put( "ASGRPID", "Assignment:::ASGRPID" );
wsFields.put( "ASLOGID", "Assignment:::ASLOGID" );
wsFields.put( "ChgImpGrpID", "Assignment:::ChgImpGrpID" );
wsFields.put( "ChgImpLoginID", "Assignment:::ChgImpLoginID" );
wsFields.put( "Time_Spent", "Assignment:::Time_Spent" );

// Classification2
wsFields.put( "Timing_Reason", "Classification:::Timing_Reason" );
wsFields.put( "Performance_Rating", "Classification:::Performance_Rating" );

// Requester2
wsFields.put( "Customer_Company", "Requester:::Customer_Company" );
wsFields.put( "Customer_First_Name", "Requester:::Customer_First_Name" );
wsFields.put( "Customer_Last_Name", "Requester:::Customer_Last_Name" );
wsFields.put( "Customer_Phone_Number", "Requester:::Customer_Phone_Number" );

%>