<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.invoqsystems.integration.CM.model.*"%>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<%@ include file="configuration.jsp"%>

<%
//Get the updated incident from the session
IncidentObject updatedIncident = (IncidentObject)session.getAttribute("incident");
String incidentNumber = (String)updatedIncident.get( "Infrastructure_Change_ID" );

if ( request.getParameter("cancelUpdate") != null )
{
  String status = "&message=Update Cancelled";
  %>
  <jsp:forward page="<%=response.encodeURL("loadIncident.jsp?IncidentNumber="+incidentNumber+status)%>"/>
  <%
}

//Retrieve the possibly updated incident from Service Desk
ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
ExternalServiceResponse resps;
esr.setAction("getIncidentDetail");
esr.addToken("IncidentNumber", incidentNumber);
%>
<%@ include file="includes/sendRequest.jsp"%>
<%
if( resps.getResponse() instanceof String )
{
  String status = "&errorMessage="+resps.getResponse();
  %>
  <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?"+status)%>"/>
  <%
}
IncidentObject oldIncident = (IncidentObject)resps.getResponse();
boolean hasConflict = false;
if( request.getParameter("forceUpdate") == null )
{
  %>
  <%@ include file="includes/diff.jsp"%>
  <%
}
if( !hasConflict )
{
  // Main Update with APSDI_HPD_IncidentInterface_WS
  String webService = "APCMI_CHG_Infrastructure_Change_WS";
  String operation = "CM_Detail_Set";
  Map<String, Object> complexMap = new LinkedHashMap<String, Object>();

  esr = mobileGatewaySession.createExternalServiceRequest();
  esr.setAction( "sendComplexRequest" );
  esr.addToken("complexMap", updatedIncident.getFields() );
  esr.addToken("operation", operation);
  esr.addToken("webService", webService);
  esr.addToken("requestNS", webService);
  esr.addToken("responseNS", webService);
  %>
  <%@ include file="includes/sendRequest.jsp"%>
  <%
  String status = (String)resps.getResponse();


  if ( status == null )
  {
    // sleep, while the management system updates the ticket
    Thread.sleep(SLEEP_TIME_IN_MILLISECONDS);
    status = "&message=OK";

    %>
    <jsp:forward page="<%=response.encodeURL("loadIncident.jsp?IncidentNumber="+incidentNumber+status)%>"/>
    <%
  }
  else
  {
    String tab = "";
    if(status.startsWith("Please provide an update"))
      tab = "&tab=add_action";
    status = "&errorMessage="+status;
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?"+status+tab)%>"/>
    <%
  }
}
%>