<%
  fields.put( "Summary", "Summary" );
  fieldTypes.put("Summary", "Text");
  requiredFields.add("Summary");

  fields.put("Change_Type", "Change Type");
  fieldTypes.put("Change_Type", "ChangeType");
  requiredFields.add("Change_Type");

  fields.put("Status", "Status");
  fieldTypes.put("Status", "Status");
  requiredFields.add("Status");

  fields.put("Impact", "Impact");
  fieldTypes.put("Impact", "Impact");
  requiredFields.add("Impact");

  fields.put("Urgency", "Urgency");
  fieldTypes.put("Urgency", "Urgency");
  requiredFields.add("Urgency");

  fields.put("Risk_Level", "Risk Level");
  fieldTypes.put("Risk_Level", "RiskLevel");
  requiredFields.add("Risk_Level");

  fields.put("Company", "Req By Sup Company");
  fieldTypes.put("Company", "Company");
  requiredFields.add("Company");

  fields.put("First_Name", "Req By First Name");
  fieldTypes.put("First_Name", "Text");
  requiredFields.add("First_Name");

  fields.put("Last_Name", "Req By Last Name");
  fieldTypes.put("Last_Name", "Text");
  requiredFields.add("Last_Name");

  fields.put("Location_Company", "Location Company");
  fieldTypes.put("Location_Company", "Company");
  requiredFields.add("Location_Company");

  fields.put("Company3", "Support Company");
  fieldTypes.put("Company3", "Hidden");

  fields.put("Support_Organization", "Support Organization");
  fieldTypes.put("Support_Organization", "Hidden");

  fields.put("Support_Group_Name", "Chg Mgr Sup Group");
  fieldTypes.put("Support_Group_Name", "SearchChangeManagerGroup");
  requiredFields.add("Support_Group_Name");

  //Add Web Service Field to JSP Field name mapping to Incident
  %>
  <%@ include file="createWSFields.jsp"%>
  <%

  // Build the orginal map
  List<String> excludes =
      Arrays.asList( new String[] {
              "Product_Category",
              "Product_Category_End",
              "Operational_Category",
              "Operational_Category_End"
  });

  ic.buildOriginalMap( fields.keySet(), excludes );
  ic.addUpdate( "Action", "CREATE" );
  ic.addUpdate( "Create_Request", "No" );

  // Used for auto fill
  //
  Map<String,List<String>> autoFills = new HashMap<String,List<String>>();
  session.setAttribute( "autoFillFields", autoFills );
  Map<String,List<String>> autoFillClears = new HashMap<String,List<String>>();
  session.setAttribute( "autoFillClears", autoFillClears );

  // Group Category
  List<String> searchGroup = new ArrayList<String>();
  autoFills.put( "SearchChangeManagerGroup", searchGroup );
  searchGroup.add( "Company3" );
  searchGroup.add( "Support_Organization" );
  searchGroup.add( "Support_Group_Name" );
%>