<%
ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
ExternalServiceResponse resps;
esr.setAction("queryGenericList");
esr.addToken( "service","Tasks" );
esr.addToken( "Qualification", "'RootRequestInstanceID'=\""+incident.get("InstanceId")+"\"" );

%>
<%@ include file="sendRequest.jsp"%>
<%
if ( resps.getResponse() instanceof String )
{
  if (((String)resps.getResponse()).equals("JavaException: java.lang.Exception: WS Fault: soapenv:Server.userException || ERROR (302): Entry does not exist in database; ")) {
    out.print( "<div class=\"msg-success\">No Tasks</div>" );
  } else {
    %>
    <jsp:forward page="<%=response.encodeURL("updateIncident.jsp?tab=details&errorMessage="+(String)resps.getResponse())%>"/>
    <%
  }
}
else
{
  List<GenericWSObject> relationships = (List<GenericWSObject>)resps.getResponse();
  if ( relationships.size() > 0 )
  {
  %>
    <table>
    <%
    for ( GenericWSObject relation : relationships )
    {
    %>
    <tr>
      <th colspan="2">Task</th>
    </tr>
    <tr>
      <th>Type</th>
      <td><%=relation.get( "Child_Type" )%></td>
    </tr>
    <tr>
      <th>Name</th>
      <td><%=relation.get( "TaskOrTaskGroup_Name" )%></td>
    </tr>
    <tr>
      <th>ID</th>
      <td><%=relation.get( "TaskOrTaskGroup_RequestID" )%></td>
    </tr>
    <tr>
      <th>Instance</th>
      <td><%=relation.get( "Instance_Number" )%></td>
    </tr>
    <tr>
      <th>Sequence</th>
      <td><%=relation.get( "Sequence" )%></td>
    </tr>
    <tr>
      <th>Status</th>
      <td><%=relation.get( "TaskorTaskGroupStatus" )%></td>
    </tr>
    <%
    }
    %>
   </table>
   <%
  }
  else
  {
      out.print( "<div class=\"msg-success\">No Tasks</div>" );
  }
}
%>