<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.invoqsystems.integration.CM.model.*"%>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");
      label.required {
        font-weight: bold;
        color: #990033;
      }
    </style>
  </head>

  <body>
    <%
    String url = (String)request.getParameter("url");
    String tab = (String)request.getParameter("tab");
    %>
    <form name="form" action="<%=response.encodeURL("searchResolutionCat.jsp?url="+url+"&tab="+tab)%>" method="POST">
      <div id="header">
        <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
        <h1>Search Resolution Cat</h1>
      </div>
      <div id="content">
        <%
        if( (request.getParameter("done") != null || request.getParameter("tier3") != null ) && url != null )
        {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");
           if( session.getAttribute("incident") != null )
           {
             Map<String,List<String>> autoFills = (Map<String,List<String>>)session.getAttribute("autoFillFields");
             List<String> fields = autoFills.get( "ResolutionCat" );
             IncidentObject incident = (IncidentObject)session.getAttribute("incident");
             incident.addUpdate( fields.get(0), t1 );
             incident.addUpdate( fields.get(1), t2 );
             incident.addUpdate( fields.get(2), t3 );
           }
           %>
           <jsp:forward page  ="<%=response.encodeURL(url+"?tab="+tab)%>"/>
           <%
         }
         else if ( request.getParameter("searchValue") != null &&
                  !"".equals( request.getParameter("searchValue") ) )
         {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");

           String field = "";
           if ( request.getParameter("tier2") != null )
           {
               field = "G3";
           }
           else if ( request.getParameter("tier1") != null )
           {
               field = "G2";
           }
           else
           {
               field = "G1";
           }

           String searchValue = (String)request.getParameter("searchValue");

           IncidentObject incident = (IncidentObject)session.getAttribute( "incident" );

           QueryObject query = new QueryObject();
           QueryField queryField = new QueryField();
           queryField.setField( field );
           queryField.setOperator( new QueryLogic( "like" ) );
           queryField.setValue( searchValue );
           query.getFields().add( queryField );

           // Original Menu Qualification CFG:PRC:CategoryHPD-T1-Q
           String qualification =
           " ( 'Category Type' =  \"Resolution Category\" ) AND" +
           "  (( 'S1' = $1000000063$) OR ( 'S1' =  $NULL$ )) AND" +
           "  (( 'S2' = $1000000064$) OR ( 'S2' =  $NULL$ )) AND" +
           "  (( 'S3' = $1000000065$) OR ( 'S3' =  $NULL$ )) AND" +
           "  (( 'P1' = $1000003891$) OR ( 'P1' =  $NULL$ )) AND" +
           "  (( 'P2' = $1000003892$) OR ( 'P2' =  $NULL$ )) AND" +
           "  (( 'P3' = $1000003893$) OR ( 'P3' =  $NULL$ )) AND" +
           "  (( 'Manufacturer' = $1000003896$) OR ( 'Manufacturer' =  $NULL$ )) AND" +
           "  (( 'Product Name' = $1000003894$) OR ( 'Product Name' =  $NULL$ )) AND" +
           "  (((( 'Company' = $1000000001$) OR ( 'Company' =  \"- Global -\" )) AND ($1000000001$ !=  \" \" )) OR ($1000000001$ =  \" \" )) AND" +
           "  ((($1000000099$ = \"User Service Request\") AND ( 'Request Selection' = \"Yes\")) OR " +
           "   (($1000000099$ = \"User Service Restoration\") AND ( 'Service Restoration Selection' = \"Yes\")) OR " +
           "   (($1000000099$ = \"Infrastructure Restoration\") AND ( 'Infra Restoration Selection' = \"Yes\")) OR " +
           "   (($1000000099$ = \"Infrastructure Event\") AND ( 'Infra Event Selection' = \"Yes\")) OR " +
           "   (($1000000099$ =  $NULL$ ) AND ( 'Help Desk Selection' = \"Yes\"))) AND" +
           "  ( 'Status-CMA' = \"Enabled\") AND" +
           "  ( 'Status-GPS' = \"Enabled\") ";

           String f1000000063 = (String)incident.get( "Classification:::Operational_Categorization:::Tier_1" );
           String f1000000064 = (String)incident.get( "Classification:::Operational_Categorization:::Tier_2" );
           String f1000000065 = (String)incident.get( "Classification:::Operational_Categorization:::Tier_3" );
           String f1000003891 = (String)incident.get( "Resolution:::Product_Categorization:::Tier_1" );
           String f1000003892 = (String)incident.get( "Resolution:::Product_Categorization:::Tier_2" );
           String f1000003893 = (String)incident.get( "Resolution:::Product_Categorization:::Tier_3" );
           String f1000003894 = (String)incident.get( "Resolution:::Product_Categorization:::Product_Name" );
           String f1000003896 = (String)incident.get( "Resolution:::Product_Categorization:::Manufacturer" );
           String f1000000001 = (String)incident.get( "Classification:::Company" );
           String f1000000099 = (String)incident.get( "Classification:::Service_Type" );

           qualification = qualification.replaceAll( "[$]1000000063[$]", "\"" + f1000000063 + "\"" );
           qualification = qualification.replaceAll( "[$]1000000064[$]", "\"" + f1000000064 + "\"" );
           qualification = qualification.replaceAll( "[$]1000000065[$]", "\"" + f1000000065 + "\"" );
           qualification = qualification.replaceAll( "[$]1000003891[$]", "\"" + f1000003891 + "\"" );
           qualification = qualification.replaceAll( "[$]1000003892[$]", "\"" + f1000003892 + "\"" );
           qualification = qualification.replaceAll( "[$]1000003893[$]", "\"" + f1000003893 + "\"" );
           qualification = qualification.replaceAll( "[$]1000003894[$]", "\"" + f1000003894 + "\"" );
           qualification = qualification.replaceAll( "[$]1000003896[$]", "\"" + f1000003896 + "\"" );
           qualification = qualification.replaceAll( "[$]1000000001[$]", "\"" + f1000000001 + "\"" );
           qualification = qualification.replaceAll( "[$]1000000099[$]", "\"" + f1000000099 + "\"" );

           qualification = "("+query.getQualification()+") AND (" + qualification +")";

           ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
           ExternalServiceResponse resps;
           esr.setAction("queryCGM");

           esr.addToken( "Qualification", qualification );
           %>
           <%@ include file="includes/sendRequest.jsp"%>
           <%
           List<GenericWSObject> tiers = new ArrayList<GenericWSObject>();
           if( resps.getResponse() instanceof String )
           {
             %>
             <%@ include file="includes/searchErrorMsg.jsp"%>
             <%
           }
           else if ( resps.getResponse() != null )
           {
             tiers = (List<GenericWSObject>)resps.getResponse();
           }
           if ( tiers.size() == 0 )
           {
             out.print("<div class=\"msg-warning\">No Results Found</div>");
             %>
             <table>
               <%@ include file="includes/currentTiers.jsp"%>
               <tr>
                 <td colspan="2">
                  <input type="submit" name="search" value="Search Again"/>
                  <input type="submit" name="done" value="Done"/>
                 </td>
               </tr>
             </table>
             <%
             if ( t1 != null && t1.length() > 0 )
             {
               %><input type=hidden name="tier1" value="<%=t1%>"/><%
             }
             if ( t2 != null && t2.length() > 0 )
             {
               %><input type=hidden name="tier2" value="<%=t2%>"/><%
             }
             if ( t3 != null && t3.length() > 0 )
             {
               %><input type=hidden name="tier3" value="<%=t3%>"/><%
             }
           }
           else
           {
           %>
             <table>
               <%@ include file="includes/currentTiers.jsp"%>
               <tr>
               <th colspan="2">Name</th>
               </tr>
               <%
               for( GenericWSObject tier : tiers )
               {
               %>
                 <tr>
                 <%
                 String urlString = "searchResolutionCat.jsp?" + "url=" + url + "&tab=" + tab;
                 if ( t3 != null && t3.length() > 0 )
                 {
                   urlString += "&tier1=" + tier.get("G1");
                   urlString += "&tier2=" + tier.get("G2");
                   urlString += "&tier3=" + tier.get("G3");
                 }
                 else if ( t2 != null && t2.length() > 0 )
                 {
                   urlString += "&tier1=" + tier.get("G1");
                   urlString += "&tier2=" + tier.get("G2");
                 }
                 else
                 {
                   urlString += "&tier1=" + tier.get("G1");
                 }
                 %>
                   <td colspan="2"><a href="<%=response.encodeURL(urlString)%>"><%=tier.get("G1")%></a></td>
                 </tr>
                 <%
               }
               %>
             </table>
           <%
           }
           %>
           <a href="<%=response.encodeURL("searchResolutionCat.jsp?url="+url+"&tab="+tab)%>">Search Again</a>
           <%
         }
         else
         {
           String t1 = (String)request.getParameter("tier1");
           String t2 = (String)request.getParameter("tier2");
           String t3 = (String)request.getParameter("tier3");

           String searchFieldLabel = "Tier 1";
           if ( t2 != null && t2.length() > 0 )
           {
             searchFieldLabel = "Tier 3";
           }
           else if ( t1 != null && t1.length() > 0 )
           {
               searchFieldLabel = "Tier 2";
           }
           %>
           <table>
             <%@ include file="includes/currentTiers.jsp"%>
           </table>
           <table>
             <tr>
               <th>Field</th>
               <th>Op</th>
               <th>Value</th>
             </tr>
             <tr>
               <td><%=searchFieldLabel%></td>
               <td>like</td>
               <td>
                 <input type="text" name="searchValue" size="10" value='"%"'/>
               </td>
             </tr>
             <tr>
               <td colspan="3"  class="no-border">
                 <input type="submit" name="search" value="Search"/>
                 <input type="submit" name="done" value="Done"/>
               </td>
             </tr>
           </table>
           <%
           if ( t1 != null && t1.length() > 0 )
           {
             %><input type=hidden name="tier1" value="<%=t1%>"/><%
           }
           if ( t2 != null && t2.length() > 0 )
           {
             %><input type=hidden name="tier2" value="<%=t2%>"/><%
           }
           if ( t3 != null && t3.length() > 0 )
           {
             %><input type=hidden name="tier3" value="<%=t3%>"/><%
           }
         }
         %>
       </div>
     </form>
     <a href="<%=response.encodeURL(url+"?tab="+tab)%>">Back to Details</a>

     <div id="footer">
       <div class="footer-links">
         <a href="<%=response.encodeURL("menu.jsp")%>">CM Menu</a>&nbsp;-&nbsp;
         <%
         if(mobileGatewaySession.getUser().getAccessibleServices().size() > 1)
         {
           %>
           <a href="<%=response.encodeURL("../listServices.jsp")%>">Services</a>&nbsp;-&nbsp;
           <%
         }
         %>
         <a href="<%=response.encodeURL("../logout.jsp")%>">Logout</a>
       </div>
     </div>
   </body>
</html>