<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.invoqsystems.integration.CM.model.*"%>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<%
String searchTitle = "Search Cause";
%>

<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>AlarmPoint Mobile Gateway</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/alarmpoint/logo.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <style type="text/css" media="all" title="AlarmPoint Mobile Gateway">
      @import url("/mg/css/general.css");
      label.required {
        font-weight: bold;
        color: #990033;
      }
    </style>
  </head>

  <body>
    <%
    String field = (String)request.getParameter("field");
    String url = (String)request.getParameter("url");
    String tab = (String)request.getParameter("tab");
    %>
    <form name="form" action="<%=response.encodeURL("searchResolutionCause.jsp?field="+field+"&url="+url+"&tab="+tab)%>" method="POST">
      <div id="header">
        <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="AlarmPoint Mobile Gateway" border="0" align="right" />
        <h1><%=searchTitle%></h1>
      </div>
      <div id="content">

        <%
        if( request.getParameter("cause") != null && url != null && field != null )
        {
          String cause = (String)request.getParameter("cause");
          if( session.getAttribute("incident") != null )
          {
            IncidentObject incident = (IncidentObject)session.getAttribute("incident");
            incident.addUpdate( "Resolution:::Cause", cause );
          }
          %>
          <jsp:forward page="<%=response.encodeURL(url+"?tab="+tab)%>"/>
          <%
        }
        else if(request.getParameter("searchValue") != null && !"".equals(request.getParameter("searchValue")))
        {
          IncidentObject incident = (IncidentObject)session.getAttribute( "incident" );

          QueryObject query = new QueryObject();
          QueryField queryField = new QueryField();
          queryField.setField( "G1" );
          queryField.setOperator( new QueryLogic( (String)request.getParameter("searchOperator") ) );
          queryField.setValue((String)request.getParameter("searchValue"));
          query.getFields().add( queryField );

          // Original Menu Qualification CFG:PRC:CategoryHPD-T1-Q
          String qualification =
          " ( 'Category Type' =  \"Reason\" ) AND" +
          "  (( 'S1' = $1000000063$) OR ( 'S1' =  $NULL$ )) AND" +
          "  (( 'S2' = $1000000064$) OR ( 'S2' =  $NULL$ )) AND" +
          "  (( 'S3' = $1000000065$) OR ( 'S3' =  $NULL$ )) AND" +
          "  (( 'P1' = $1000003891$) OR ( 'P1' =  $NULL$ )) AND" +
          "  (( 'P2' = $1000003892$) OR ( 'P2' =  $NULL$ )) AND" +
          "  (( 'P3' = $1000003893$) OR ( 'P3' =  $NULL$ )) AND" +
          "  (( 'Manufacturer' = $1000003896$) OR ( 'Manufacturer' =  $NULL$ )) AND" +
          "  (( 'Product Name' = $1000003894$) OR ( 'Product Name' =  $NULL$ )) AND" +
          "  (((( 'Company' = $1000000001$) OR ( 'Company' =  \"- Global -\" )) AND ($1000000001$ !=  \" \" )) OR ($1000000001$ =  \" \" )) AND" +
          "  ((($1000000099$ = \"User Service Request\") AND ( 'Request Selection' = \"Yes\")) OR " +
          "   (($1000000099$ = \"User Service Restoration\") AND ( 'Service Restoration Selection' = \"Yes\")) OR " +
          "   (($1000000099$ = \"Infrastructure Restoration\") AND ( 'Infra Restoration Selection' = \"Yes\")) OR " +
          "   (($1000000099$ = \"Infrastructure Event\") AND ( 'Infra Event Selection' = \"Yes\")) OR " +
          "   (($1000000099$ =  $NULL$ ) AND ( 'Help Desk Selection' = \"Yes\"))) AND" +
          "  ( 'Status-CMA' = \"Enabled\") AND" +
          "  ( 'Status-GPS' = \"Enabled\") ";

          String f1000000063 = (String)incident.get( "Classification:::Operational_Categorization:::Tier_1" );
          String f1000000064 = (String)incident.get( "Classification:::Operational_Categorization:::Tier_2" );
          String f1000000065 = (String)incident.get( "Classification:::Operational_Categorization:::Tier_3" );
          String f1000003891 = (String)incident.get( "Resolution:::Product_Categorization:::Tier_1" );
          String f1000003892 = (String)incident.get( "Resolution:::Product_Categorization:::Tier_2" );
          String f1000003893 = (String)incident.get( "Resolution:::Product_Categorization:::Tier_3" );
          String f1000003894 = (String)incident.get( "Resolution:::Product_Categorization:::Product_Name" );
          String f1000003896 = (String)incident.get( "Resolution:::Product_Categorization:::Manufacturer" );
          String f1000000001 = (String)incident.get( "Classification:::Company" );
          String f1000000099 = (String)incident.get( "Classification:::Service_Type" );

          qualification = qualification.replaceAll( "[$]1000000063[$]", "\"" + f1000000063 + "\"" );
          qualification = qualification.replaceAll( "[$]1000000064[$]", "\"" + f1000000064 + "\"" );
          qualification = qualification.replaceAll( "[$]1000000065[$]", "\"" + f1000000065 + "\"" );
          qualification = qualification.replaceAll( "[$]1000003891[$]", "\"" + f1000003891 + "\"" );
          qualification = qualification.replaceAll( "[$]1000003892[$]", "\"" + f1000003892 + "\"" );
          qualification = qualification.replaceAll( "[$]1000003893[$]", "\"" + f1000003893 + "\"" );
          qualification = qualification.replaceAll( "[$]1000003894[$]", "\"" + f1000003894 + "\"" );
          qualification = qualification.replaceAll( "[$]1000003896[$]", "\"" + f1000003896 + "\"" );
          qualification = qualification.replaceAll( "[$]1000000001[$]", "\"" + f1000000001 + "\"" );
          qualification = qualification.replaceAll( "[$]1000000099[$]", "\"" + f1000000099 + "\"" );

          qualification = "("+query.getQualification()+") AND (" + qualification +")";

          ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
          ExternalServiceResponse resps;
          esr.setAction("queryCGM");

          esr.addToken( "Qualification", qualification );
          %>
          <%@ include file="includes/sendRequest.jsp"%>
          <%
          List<GenericWSObject> causes = new ArrayList<GenericWSObject>();
          if( resps.getResponse() instanceof String )
          {
            %>
            <%@ include file="includes/searchErrorMsg.jsp"%>
            <%
          }
          else if ( resps.getResponse() != null )
          {
            causes = (List<GenericWSObject>)resps.getResponse();
          }
          if( causes.size() == 0 )
          {
            out.print("<div class=\"msg-warning\">No Results Found</div>");
          }
          else
          {
            %>
            <table>
              <tr>
                <th>Cause</th>
              </tr>
              <%
              for( GenericWSObject cause : causes )
              {
                %>
                <tr>
                  <td><a href="<%=response.encodeURL("searchResolutionCause.jsp?field="+
                          field+
                          "&url="+url+
                          "&tab="+tab+
                          "&cause=" + cause.get("G1"))%>"><%=cause.get("G1")%></a></td>
                </tr>
                <%
              }
              %>
            </table>
          <%
          }
          %>
          <a href="<%=response.encodeURL("searchResolutionCause.jsp?field="+field+"&url="+url+"&tab="+tab)%>">Search Again</a>
          <%
        }
        else
        {
          QueryLogic operatorTemplate = new QueryLogic();
          %>
          <table>
            <tr>
              <th>Field</th>
              <th>Op</th>
              <th>Value</th>
            </tr>
            <tr>
              <td>Cause</td>
              <td>
                <select name="searchOperator">
                  <%
                  for( String operator : operatorTemplate.getOperatorMap().keySet() )
                  {
                  %>
                  <option value="<%=operator%>"><%=operator%></option>
                  <%
                  }
                  %>
                </select>
              </td>
              <td>
                <input type="text" name="searchValue" size="10" value='"%"'/>
              </td>
            </tr>
          </table>
          <input type="submit" name="search" value="Search"/>
          <%
        }
        %>
      </div>
    </form>
    <a href="<%=response.encodeURL(url+"?tab="+tab)%>">Back to Details</a>

    <div id="footer">
      <div class="footer-links">
        <a href="<%=response.encodeURL("menu.jsp")%>">CM Menu</a>&nbsp;-&nbsp;
        <%
        if(mobileGatewaySession.getUser().getAccessibleServices().size() > 1)
        {
          %>
          <a href="<%=response.encodeURL("../listServices.jsp")%>">Services</a>&nbsp;-&nbsp;
          <%
        }
        %>
        <a href="<%=response.encodeURL("../logout.jsp")%>">Logout</a>
      </div>
    </div>
  </body>
</html>